:root{
    --color-igo: #35457A;
    --color-igo-dark: #002d46;
    --color-igo-secondary: #ed1c24;
}

body {
    font-family: 'Roboto', sans-serif, var(--bs-body-font-family);
    font-size: 14px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* background-color: #f6f6f6; */
}

main {
    margin: 1rem 0;
}

a {
    text-decoration: none;
}

.rounded-4 {
    border-radius: 0.5rem;
}

.rounded-5 {
    border-radius: 1rem;
}

.text-igo {
    color: var(--color-igo);
}

.text-igo-secondary {
    color: var(--color-igo-secondary);
}

.bg-igo {
    background-color: var(--color-igo);
}

.igo-title {
    color: var(--color-igo);
    font-weight: 700;
    margin-bottom: 1rem;
}

.border-igo {
    border-color: var(--color-igo) !important;
}

/* input.form-control {
    border-radius: 50rem;
} */

.btn-igo {
    opacity: 0.9;
    border-radius: var(--bs-border-radius-pill);
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--color-igo);
    --bs-btn-border-color: var(--color-igo);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--color-igo);
    --bs-btn-hover-border-color: var(--color-igo);
    --bs-btn-focus-shadow-rgb: 57,89,148;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--color-igo);
    --bs-btn-active-border-color: var(--color-igo);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--color-igo);
    --bs-btn-disabled-border-color: var(--color-igo);
}

.btn-outline-igo {
    --bs-btn-color:         var(--color-igo);
    --bs-btn-border-color:  var(--color-igo);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--color-igo);
    --bs-btn-hover-border-color: var(--color-igo);
    --bs-btn-focus-shadow-rgb: 57,89,148;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--color-igo);
    --bs-btn-active-border-color: var(--color-igo);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--color-igo);
    --bs-btn-disabled-bg: transparent;
    --bs-gradient: none;
}

.btn-igo:hover {
    background-color: var(--color-igo);
    opacity: 1;
}

.card-igo {
    border-radius: 12px;
    margin-bottom: 2rem;
    border: 1px solid #EEE;
}

.card-igo-title{
    font-size: 1.1rem;
    font-weight: bold;
}

/* @media (min-width: 1500px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1420px;
    }
} */

a.circle-info {
    background: #e4e4e4;
    border-radius: 100%;
    padding: 0 6px;
    margin-left: 2px;
    cursor: help;
}

/* Shop */
.product-block-title {
    height: 2.5em;
    overflow: hidden;
    color: #575757;
}

a:hover .product-block-title {
    color: var(--bs-link-hover-color);
}

.product-block-presentation {
    height: 3em;
    overflow: hidden;
}

.product-block-price {
    display: flex;
    flex-direction: column;
    height: 3em;
    justify-content: center;
}

.product-block-link {
    position: relative;
    color: initial;
}

.product-block-desc-per {
    position: absolute;
    top: 30px;
    right: 0;
    padding: 2px 10px;
    background: var(--bs-danger);
    color: white;
    border-radius: 20px 0px 0px 20px;
    z-index: 1;
}

.product-block-desc-offer {
    position: absolute;
    right: 0;
    padding: 2px 10px;
    background: var(--bs-success);
    color: white;
    border-radius: 20px 0px 0px 20px;
    z-index: 1;
}


.product-block-image {
    height: 192px;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.product-block-image .img-product {
    width: auto;
    max-height: 192px;
    max-width: 100%;
    margin: auto;
}

.product-block-image .img-product:hover {
    transform: scale(1.2);
}

.igo-add-cart-item,
.igo-view-cart {
    font-size: 12px; 
    line-height: 24px;
}

.igo-view-cart {
    opacity: 0.5;
}

.pagination {
    --bs-pagination-color: var(--color-igo);
    --bs-pagination-active-bg: var(--color-igo);
    --bs-pagination-active-border-color: var(--color-igo);
    --bs-pagination-disabled-bg: var(--bs-gray-100);
}

/* Sliders */
.igo-slider-container {
    position: relative;
}

.igo-slider-container .tns-ovh {
    margin: 0 1.5rem;
}    

.igo-slider-container .igo-slider-btns button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #9e9e9e;
    background-color: transparent;
    padding: 0rem;
    border: 0px;
    opacity: 0.65;
}

.home-block .igo-slider-container .igo-slider-btns button {
    top: 40%;
}

.igo-slider-container .igo-slider-btns button:hover {
    opacity: 1;
}
.igo-slider-container .igo-slider-btns button[data-controls=next] {
    right: 0;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
  appearance: none;
}